package com.crm.manager.service;

import com.crm.rely.backend.core.pojo.table.UserRoleDetailTable;
import com.crm.rely.backend.core.exception.ServiceException;

import java.util.List;

public interface UserRoleDetailService {

    void update(List<UserRoleDetailTable> sellerRoleDetailTables, Long roleId) throws ServiceException;

    List<UserRoleDetailTable> getUserRoleDetailsByRoleId(Long roleId) throws ServiceException;

    void deleteRoleDetailByRoleId(Long roleId) throws ServiceException;
}
